# Class ReplaceFunctionsWithStrings

java.lang.Object
org.apache.jmeter.engine.util.ReplaceFunctionsWithStrings

public class ReplaceFunctionsWithStrings extends Object
Transforms strings into variable references (in spite of the name, which suggests the opposite!)

## Constructor Summary

Constructors
Constructor
Description
`ReplaceFunctionsWithStrings(CompoundVariable masterFunction, Map<String,String> variables)`
`ReplaceFunctionsWithStrings(CompoundVariable masterFunction, Map<String,String> variables, boolean regexMatch)`

## Method Summary

Modifier and Type
Method
Description
`protected CompoundVariable`
`getMasterFunction()`
`Map<String,String>`
`getVariables()`
`void`
`setMasterFunction(CompoundVariable variable)`
`void`
`setVariables(Map<String,String> map)`
`JMeterProperty`
`transformValue(JMeterProperty prop)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplaceFunctionsWithStrings

public ReplaceFunctionsWithStrings(CompoundVariable masterFunction, Map<String,String> variables)

### ReplaceFunctionsWithStrings

public ReplaceFunctionsWithStrings(CompoundVariable masterFunction, Map<String,String> variables, boolean regexMatch)

## Method Details

### transformValue

public JMeterProperty transformValue(JMeterProperty prop) throws InvalidVariableException

Throws:
  `InvalidVariableException`

### setMasterFunction

public void setMasterFunction(CompoundVariable variable)

### getMasterFunction

protected CompoundVariable getMasterFunction()

### getVariables

public Map<String,String> getVariables()

### setVariables

public void setVariables(Map<String,String> map)